{
    "compilerOptions": {
        "types": ["node", "vite/client"],
        "target": "esnext",
        "useDefineForClassFields": true,
        "module": "esnext",
        "moduleResolution": "node",
        "strict": true,
        "jsx": "preserve",
        "sourceMap": true,
        "resolveJsonModule": true,
        "isolatedModules": true,
        "esModuleInterop": true,
        "lib": ["esnext", "dom"],
        "allowSyntheticDefaultImports": true,
        "skipLibCheck": true,
        "baseUrl": ".",
        "paths": {
            "@/*": ["./src/*"]
        }
    },
    "include": ["src/**/*.ts", "src/**/*.d.ts", "src/**/*.vue"],
    "exclude": ["src/**/*.cy.ts"],
    "references": [
        {
            "path": "./tsconfig.node.json"
        }
    ]
}
